%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/i18nlog/i18nlog/%{version}-brew 
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

Name:           i18nlog
Version:        1.0.10
Release:        6%{?dist}
Summary:        I18N Messages and Logging
URL:            http://i18nlog.sourceforge.net/
License:        LGPL
Group:          Development/Libraries/Java
BuildArch:      noarch
#cvs -z3 -d:pserver:anonymous@i18nlog.cvs.sourceforge.net:/cvsroot/i18nlog co -P i18nlog
#tar czf i18nlog-1.0.10.tar.gz i18nlog
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}.pom
Source2:	i18nlog-component-info.xml
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  jakarta-commons-logging
BuildRequires:  log4j
BuildRequires:  testng
BuildRequires:  maven-deploy-plugin
Requires:       java >= 0:1.5.0
Requires:       jakarta-commons-logging
Requires:       log4j
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot


%description
The purpose of this project is to provide an easy to use API 
that allows you to incorporate internationalized (I18N) messages 
into your Java applications. 

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}

pushd lib
find . -name "*.jar" | xargs rm
ln -sf $(build-classpath commons-logging) commons-logging-1.1.jar
ln -sf $(build-classpath log4j) log4j-1.2.14.jar
pushd test
ln -sf $(build-classpath testng-jdk15) testng-4.5.2-jdk15.jar
popd
popd

%build
ant package-dist

ls -lR

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/jar/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %with repolib
%{__mkdir_p} %{buildroot}%{repodir}

%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=i18nlog -DartifactId=i18nlog -Dversion=%{version} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/i18nlog.jar -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases

%{__mkdir_p} %{buildroot}%{repodirlib}
%{__cp} -p %{SOURCE2} %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__sed} -i "s/@VERSION@/%{version}-brew/g" %{buildroot}%{repodir}/component-info.xml
%{__mkdir_p} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom %{buildroot}%{repodirlib}/i18nlog.pom
%{__cp} -p %{buildroot}%{_javadir}/i18nlog.jar %{buildroot}%{repodirlib}/i18nlog.jar
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap 

%postun
%update_maven_depmap

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root)
%{_javadir}*/*
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Feb 9 2011 Yiqiao Wang <yiwang@redhat.com> - 1.0.10-6
- Add %%update_maven_depmap in %%post and %%postun

* Mon Jan 17 2011 Yiqiao Wang <yiwang@redhat.com> 1.0.10-5
- Fix the content of repolib/lib dir

* Fri Dec 24 2010 Yiqiao Wang <yiwang@redhat.com> 1.0.10-4
- Add repolib 

* Tue Dec 2 2010 Yiqiao Wang <yiwang@redhat.com> 1.0.10-3
- Rebuild on RHEL6
- fix %%{files} for signing

* Tue Aug 31 2010 Yong Yang <yyang@redhat.com> 1.0.10-2
- Add dist to release

* Mon Aug 30 2010 Yong Yang <yyang@redhat.com> 1.0.10-1
- Initial build
